// file: tr_hc_debug_0.cc
//

// isip include files
//
#include "train_hash_cell.h"
#include "train_hash_cell_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Train_Hash_cell::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s: key_str_d = %s\n", TRAIN_HASH_CELL_CLASS_NAME, message_a,
	  key_str_d);

  // dump the key vector
  //
  fprintf(fp_a, "%s::%s: key_vec_d = ", TRAIN_HASH_CELL_CLASS_NAME, message_a);
  for (int_4 i = 0; i < key_size_d; i++) {
    fprintf(fp_a, "%ld, ", key_vec_d[i]);
  }
  fprintf(fp_a, "\n");

  // dump the item pointer
  //
  fprintf(fp_a, "%s::%s: item_d = %p\n", TRAIN_HASH_CELL_CLASS_NAME, message_a,
	  item_d);

  // dump the link pointer
  //
  fprintf(fp_a, "%s::%s: next_d = %p\n\n", TRAIN_HASH_CELL_CLASS_NAME, message_a,
	  next_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
